PRO sesFrame_Cleanup , mBase
	COMPILE_OPT IDL2
	baseUName = Widget_Info(mBase, /UName)

	CASE baseUName OF
		'mBase' : BEGIN
			Widget_Control, mBase, Get_UValue = oSystem
			IF N_Elements(oSystem) EQ 0 THEN Heap_GC ELSE Obj_Destroy, oSystem
		END
	ELSE :
	ENDCASE

END